My Twister/3D/Spectra won't update firmware (2.62)

Follow

While the details provided in the following article affect only a specific build of the MF Utility we still encourage you to download the version from the links at the end. Make sure you DON'T connect your device until the installer has finished to avoid any sort of driver issues.

There were a few bugs introduced in 2.62 version of the MF Utility that affects usage when the Midi Fighter's firmware is being updated and a few other Twister specific issues (e.g.: can't set a dent on an encoder).

Update 2.63  patches all known bugs and is available now at the following links:

Midi Fighter Utility OS X

Midi Fighter Utility Windows

Have more questions? Submit a request

Comments

  • Avatar
    Robert Blatter

    2.63 is out... time for an update to this article. =)

Powered by Zendesk